// wrapper
.parallax {
  height: 100vh;
  overflow-x: hidden;
  overflow-y: auto;
  perspective: 300px;

  // parallax group
  &-group {
    position: relative;
    height: 100vh;
    transform-style: preserve-3d;
  }
  // group z-index
  @for $i from 1 to 8 {
    #group#{$i} {
      z-index: $i;
    }
  }

  // parallax item
  &-layer {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    // forground item
    &\:base {
      transform: translateZ(0);
      z-index: 4;
    }
    // background item
    &\:back {
      transform: translateZ(-300px) scale(2);
      z-index: 3;
    }
  }
}
